umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions | Variables
UniqueID Namespace Reference

## Functions
Uml::ID::Type | gen ()
void | init ()
Uml::ID::Type | get ()
void | set (Uml::ID::Type id)

## Variables
Uml::ID::Type | m_uniqueID

## Function Documentation

## ◆ gen()

Uml::ID::Type UniqueID::gen | ( |  | ) |

MAIN FUNCTION: Return a new unique ID.

## ◆ get()

Uml::ID::Type UniqueID::get | ( |  | ) |

Return the last generated unique ID without generating a new one.

## ◆ init()

void UniqueID::init | ( |  | ) |

Reinitialize the unique ID counter. Should not normally be required because the ID counter is initialized by default anyway.

## ◆ set()

void UniqueID::set | ( | Uml::ID::Type | id | ) |

Explicitly set a new ID value.

## Variable Documentation

## ◆ m_uniqueID

Uml::ID::Type UniqueID::m_uniqueID

Each model object gets assigned a unique ID.